# 1.0.0[−][src]Module std::f64

This module provides constants which are specific to the implementation of the `f64` floating point data type.

See also the `f64` primitive type.

Mathematically significant numbers are provided in the `consts` sub-module.

## Modules

consts | Basic mathematical constants.

## Constants

DIGITS | Approximate number of significant digits in base 10.
EPSILON | Machine epsilon value for `f64`.
INFINITY | Infinity (∞).
MANTISSA_DIGITS | Number of significant digits in base 2.
MAX | Largest finite `f64` value.
MAX_10_EXP | Maximum possible power of 10 exponent.
MAX_EXP | Maximum possible power of 2 exponent.
MIN | Smallest finite `f64` value.
MIN_10_EXP | Minimum possible normal power of 10 exponent.
MIN_EXP | One greater than the minimum possible normal power of 2 exponent.
MIN_POSITIVE | Smallest positive normal `f64` value.
NAN | Not a Number (NaN).
NEG_INFINITY | Negative infinity (−∞).
RADIX | The radix or base of the internal representation of `f64`.